Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleStateType

    java.lang.Object
      org.apache.muse.ws.dm.muws.impl.SimpleStateType

All Implemented Interfaces:
  StateType, XmlSerializable

public class SimpleStateType
extends java.lang.Object
implements StateType

SimpleStateType represents state values for the State capability. It is commonly used to create static fields representing an enumeration of well-defined states.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleStateType(org.w3c.dom.Element xml)`
`SimpleStateType(QName[] values)`

Method Summary
`QName[]` | `getValues()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleStateType

    public SimpleStateType(org.w3c.dom.Element xml)

### SimpleStateType

    public SimpleStateType(QName[] values)

Method Detail

### getValues

    public QName[] getValues()

  Specified by:
    `getValues` in interface `StateType`
  Returns:
    The names of the XML elements that are children to the muws2:State element, with the element closest to the top coming first, and the innermost child coming last.

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD